import path from 'path';
import {defineConfig} from 'vite';
import react from '@vitejs/plugin-react-swc';
import babel from 'vite-plugin-babel';

console.log('process.cwd()', process.cwd());
// https://vite.dev/config/
export default defineConfig({
  plugins: [
    react(),
    babel({
      babelConfig: {
        plugins: ['transform-amd-to-commonjs']
      }
    })
  ],
  resolve: {
    alias: {
      assets: path.resolve(process.cwd(), 'src', 'assets'),
      components: path.resolve(process.cwd(), 'src/components'),
      config: path.resolve(process.cwd(), 'src', 'config'),
      'constant-data': path.resolve(process.cwd(), 'src', 'constant-data'),
      hooks: path.resolve(process.cwd(), 'src', 'hooks'),
      interfaces: path.resolve(process.cwd(), 'src', 'interfaces'),
      routers: path.resolve(process.cwd(), 'src', 'routers'),
      store: path.resolve(process.cwd(), 'src', 'store'),
      services: path.resolve(process.cwd(), 'src', 'services'),
      lang: path.resolve(process.cwd(), 'src', 'lang'),
      utility: path.resolve(process.cwd(), 'src', 'utility'),
      views: path.resolve(process.cwd(), 'src', 'views')
    }
  }
});
